Package uk.ac.starlink.topcat.plot2

# Class SimpleFormControl

java.lang.Object
uk.ac.starlink.topcat.plot2.FormControl
uk.ac.starlink.topcat.plot2.SimpleFormControl

All Implemented Interfaces:
  `Control`

public class SimpleFormControl extends FormControl
Form control which works with a single fixed plotter.

Since:
  15 Mar 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SimpleFormControl(Configger baseConfigger, uk.ac.starlink.ttools.plot2.Plotter<?> plotter, uk.ac.starlink.ttools.plot2.data.Coord[] extraCoords)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[]`
`getConfigKeys()`
Returns the keys defining the additional configuration required by this control.
`protected JComponent`
`getCoordPanel()`
Returns the panel into which the user enters additional coordinate information required for this control, if any.
`uk.ac.starlink.ttools.plot2.config.ConfigMap`
`getExtraConfig()`
Returns the additional configuration entered by the user in this control.
`GuiCoordContent[]`
`getExtraCoordContents()`
Returns the data and metadata for the additional coordinates entered by the user in this control.
`protected uk.ac.starlink.ttools.plot2.Plotter<?>`
`getPlotter()`
Returns the Plotter object which generates plot layers from the information provided by this control
`protected void`
`setTable(TopcatModel tcModel)`
Performs implementation-specific configuration of this control for a given TopcatModel.

### Methods inherited from class uk.ac.starlink.topcat.plot2.FormControl

`addActionListener, createLayer, getActionForwarder, getControlIcon, getControlLabel, getPanel, getStylePanel, removeActionListener, setTable, submitReports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleFormControl

public SimpleFormControl(Configger baseConfigger, uk.ac.starlink.ttools.plot2.Plotter<?> plotter, uk.ac.starlink.ttools.plot2.data.Coord[] extraCoords)
Constructor.

Parameters:
  `baseConfigger` - provides global configuration info
  `plotter` - plotter for which this control provides style config
  `extraCoords` - any coordinates which are to be solicited from the form control

## Method Details

### getPlotter

protected uk.ac.starlink.ttools.plot2.Plotter<?> getPlotter()
Description copied from class: `FormControl`
Returns the Plotter object which generates plot layers from the information provided by this control

Specified by:
  `getPlotter` in class `FormControl`
Returns:
  plotter

### getConfigKeys

protected uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] getConfigKeys()
Description copied from class: `FormControl`
Returns the keys defining the additional configuration required by this control.

Specified by:
  `getConfigKeys` in class `FormControl`
Returns:
  config keys

### getCoordPanel

protected JComponent getCoordPanel()
Description copied from class: `FormControl`
Returns the panel into which the user enters additional coordinate information required for this control, if any.

Specified by:
  `getCoordPanel` in class `FormControl`
Returns:
  coordinate entry panel

### getExtraCoordContents

public GuiCoordContent[] getExtraCoordContents()
Description copied from class: `FormControl`
Returns the data and metadata for the additional coordinates entered by the user in this control. If these constitute insufficient information to generate a plot (not all required coords have been filled in), null is returned.

Specified by:
  `getExtraCoordContents` in class `FormControl`
Returns:
  extra coordinate information, or null if incomplete

### getExtraConfig

public uk.ac.starlink.ttools.plot2.config.ConfigMap getExtraConfig()
Description copied from class: `FormControl`
Returns the additional configuration entered by the user in this control.

Specified by:
  `getExtraConfig` in class `FormControl`
Returns:
  extra config information

### setTable

protected void setTable(TopcatModel tcModel)
Description copied from class: `FormControl`
Performs implementation-specific configuration of this control for a given TopcatModel.

Specified by:
  `setTable` in class `FormControl`
Parameters:
  `tcModel` - new topcat model to install